import scala.xml._

val stocks = Map("AAPL" -> 655, "GOOG" -> 756)

val xml = <symbols>{ stocks.map { createElementsForEachSymbol } }</symbols>

def createElementsForEachSymbol(element: (String, Int)) = {
  val (ticker, units) = element
  <symbol ticker={ticker}><units>{units}</units></symbol>
}

println(xml)

println("saving to file...")
XML save ("stocks2.xml", xml)
println("The # of symbols in the saved file is " +
  ((XML load "stocks2.xml") \\ "symbol").size
)